{
  "name": "@huntsman-cancer-institute/authentication",
  "version": "11.5.0",
  "description": "The auth library. This component is expected to provide authentication component and services to any HCI ng application",
  "contributors": ["Cody Haroldsen", "Michael Byrne", "Abhishek Mukherjee"],
  "publishConfig": {
    "registry": "https://registry.npmjs.org",
    "access": "public"
  },
  "repository": "https://gitlab.com/huntsman-cancer-institute/risr/ng/hci-ng/hci-ng.git",
  "scripts": {
    "build": "npm run clean && npm run ngc && npm run doc && npm run copyfiles package.json dist/",
    "clean": "npm run rimraf dist/ index.js index.d.ts index.ngsummary.json index.metadata.json index.js.map src/**/*.js src/**/*.ngfactory.ts src/**/*.d.ts src/**/*.js.map src/**/*.ngsummary.json src/**/*.metadata.json code-coverage",
    "compodoc": "compodoc",
    "copyfiles": "copyfiles",
    "copyToDist": "npm run copyfiles -- package.json README.md dist/",
    "doc": "npm run compodoc -- src -p ./tsconfig.json -d docs -n '@huntsman-cancer-institute/authentication'",
    "karma": "karma",
    "ngc": "ngc",
    "npmPack": "npm run build && npm run copyToDist && cd dist && npm pack",
    "npmPublish": "npm run build && npm run copyToDist && cd dist && npm publish",
    "rimraf": "rimraf",
    "postinstall": ""
  },
  "main": "index.js",
  "module": "index.js",
  "typings": "index.d.ts",
  "files": ["index.+(js|d.ts|js.map|metadata.json)", "src/**/!(*spec).+(js|d.ts|js.map|metadata.json)"],
  "dependencies": {
    "@auth0/angular-jwt": "5.0.x"
  },
  "optionalDependencies": {},
  "peerDependencies": {
    "@angular/common": "^11.0.0",
    "@angular/core": "^11.0.0",
    "@angular/animations": "^11.0.0"
  },
  "devDependencies": {
    "@angular-cool/storage": "12.0.0",
    "@angular/animations": "^11.0.0",
    "@angular/common": "^11.0.0",
    "@angular/compiler": "^11.0.0",
    "@angular/compiler-cli": "^11.0.0",
    "@angular/core": "^11.0.0",
    "@angular/forms": "^11.0.0",
    "@angular/platform-browser": "^11.0.0",
    "@angular/platform-browser-dynamic": "^11.0.0",
    "@angular/router": "^11.0.0",
    "@compodoc/compodoc": "^1.1.11",
    "@types/jasmine": "^3.6.10",
    "@types/node": "^15.0.1",
    "@types/webpack": "^5.28.0",
    "angular2-template-loader": "^0.6.2",
    "awesome-typescript-loader": "^5.2.1",
    "copyfiles": "^2.4.1",
    "core-js": "^3.11.1",
    "del": "^6.0.0",
    "fs": "^0.0.2",
    "immutable": "^3.8.1",
    "inline-source-map": "^0.6.2",
    "istanbul-instrumenter-loader": "^3.0.1",
    "jasmine-core": "^3.7.1",
    "karma": "^6.3.2",
    "karma-chrome-launcher": "^3.1.0",
    "karma-coverage": "^2.0.3",
    "karma-jasmine": "^4.0.1",
    "karma-mocha-reporter": "^2.2.5",
    "karma-remap-coverage": "^0.1.5",
    "karma-sourcemap-loader": "^0.3.8",
    "karma-webpack": "^5.0.0",
    "minimist": "^1.2.5",
    "reflect-metadata": "^0.1.13",
    "rimraf": "^3.0.2",
    "rxjs": "6.4.x",
    "rxjs-compat": "6.0.0",
    "source-map-loader": "^2.0.1",
    "tslib": "2.2.0",
    "tslint": "^6.1.1",
    "typescript": "4.0.x",
    "webpack": "5.36.2",
    "webpack-dev-middleware": "4.1.0",
    "webpack-dev-server": "^3.11.2",
    "webpack-merge": "^5.7.3",
    "zone.js": "^0.11.4"
  }
}